import PY_VTS.gui.colours as Colour
from PY_VTS.gui.VG import *


class VG_Steering_Wheel(Object):

    def __init__(self, name, mid): #Colour 1, Colour 2
        super().__init__(name, mid)

        self.points.append(Point(-130, -10))
        self.points.append(Point(-130,  10))
        self.points.append(Point( -10,  10))
        self.points.append(Point( -10, 130))
        self.points.append(Point(  10, 130))
        self.points.append(Point(  10,  10))
        self.points.append(Point( 130,  10))
        self.points.append(Point( 130, -10))

        self.add_line([self.points[1],self.points[2],self.points[3]])
        self.add_line([self.points[4],self.points[5],self.points[6]])
        self.add_line([self.points[0],self.points[7]])

        self.gui_l.insert(1,[gui.DL_BEGIN(gui.PRIM_POINTS)])
        self.gui_l.insert(2,[Colour.BLACK])
        self.gui_l.insert(3,[gui.DL_POINT_SIZE(132)])

        ## Move into redraw
        self.gui_l.insert(4,[gui.DL_VERTEX2F(self.mid.x,self.mid.y)])
        self.gui_l.insert(5,[Colour.WHITE])
        self.gui_l.insert(6,[gui.DL_POINT_SIZE(120)])
        self.gui_l.insert(7,[gui.DL_VERTEX2F(self.mid.x,self.mid.y)])
        self.gui_l.insert(8,[gui.DL_END()])
        self.gui_l.insert(9,[Colour.BLACK])
